Första generationen iPhone och iPod – Lita på jailbreaket

Som så många vet släppte Apple igår en uppdatering av iOS 4.0 där den nya versionen mätte 4.0.2. Uppdateringen blev tillgänglig för iPhone 3G/3GS/4, iPod Touch G2/G4 samt iPad (3.2.2) och fixade den bugg där oönskade PDF filer öppnades i Safari. Nu rasar Jay Freeman, Saurik, mot Apples handlande.

Saurik har gått ut på sin twitter att nu när Apple väljer att inte uppdatera dom gamla enheterna till exempelvis 3.1.4 står gamla iPhone och iPod-ägare oskyddade mot PDF-svindleriet. I sin twitter skriver han;

”IMPORTANT: if you still use an iPhone 2G or iPod Touch 1G, Apple WILL NOT update your device. Your now NEED to jailbreak to secure yourself.”

”Once jailbroken, users must install ”PDF Loading Warner” until @cdevwill finishes his exploit patch, and verify PDFs are from trusted sites.”

Detta innebär att Saurik i princip beordrar alla med äldre enheter att jailbreaka sin maskiner. När det väl är gjort skall ”PDF loiding warner” installeras för att ge liknande skydd som Apple integrerat i 4.0.2 och 3.2.2. Det är en liten miss att Apple inte ger en fix till dom som äger äldre telefoner, det finns trots allt användare som helst avstår jailbreak.

För er som är i behov av jailbreak finns det en guide här.

admin

admin

Skribent

Dela: